Bug 476254 - Radeon 9600 on Supermicro X5DA8 needs nomodeset
Radeon 9600 on Supermicro X5DA8 needs nomodeset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 13:02 EST by Hibbard T. Smith, JR
Modified: 2009-12-18 02:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log without the nomodeset (169.69 KB, text/plain)
2008-12-12 13:02 EST, Hibbard T. Smith, JR
no flags Details
Xorg.0.log with nomodeset added to kernel command line (40.03 KB, text/plain)
2008-12-12 13:03 EST, Hibbard T. Smith, JR
no flags Details
Xorg.0.log with nomodeset added to kernel command line (169.69 KB, text/plain)
2008-12-12 13:13 EST, Hibbard T. Smith, JR
no flags Details
Xorg.0.log without the nomodeset (40.03 KB, text/plain)
2008-12-12 13:16 EST, Hibbard T. Smith, JR
no flags Details
Full dmesg from 2.6.27.12-170.2.5.fc10.i686 as requested. (33.49 KB, text/plain)
2009-02-05 21:40 EST, Hibbard T. Smith, JR
no flags Details

  None (edit)
Description Hibbard T. Smith, JR 2008-12-12 13:02:29 EST
Created attachment 326750 [details]
Xorg.0.log without the nomodeset

This is a Supermicro X5DA8 with 2 Xeon 3.06 GHz CPUs and 2 GB of Ram with a Radeon 9600 (R350) video card and Viewsonic PT813 monitor.  I upgraded from F9  to F10 using the final release DVD and then applied all current updates.  The X display only allows 640 x 480 and 800 x 600 at 60 Hz refresh.  Also switching to a VT via CTRL + ALT + Fn (n = 2-6) yields a blank display with no video to the monitor.

Adding nomodeset to the kernel command line resolves the issue.  Many display modes are available in X including the 1600 x 1200 @ 75 Hz. refresh that I like to run.  Also, all VTs are available via the switch keys described above.  This does not allow the new Plymouth flash screen during startup, but I guess that's to be expected with KMS disabled. One issue remains:  If I switch to any VT while in a gnome session, when I come back to VT1 the gnome session has been killed and I have to log back in.  Any work that was in progress is lost.

I understood that F10 was supposed to have the R200 and up Radeons working. I have attached 2 Xorg.0.log files below.  The first is without the nomodeset and the second is with nodeset on the kernel coomand line.


The kernel I have been working with is 2.6.27.7-134.fc10.i686.

How reproducible: Always happens without the nomodeset on kernel command line.


Steps to Reproduce:
1. boot system without the nomodeset
2. System comes up with limited display modes and no VTs
3. Add nomodeset to kernel command line
4. System comes up normally.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hibbard T. Smith, JR 2008-12-12 13:03:53 EST
Created attachment 326751 [details]
Xorg.0.log with nomodeset added to kernel command line
Comment 2 Hibbard T. Smith, JR 2008-12-12 13:13:49 EST
Created attachment 326752 [details]
Xorg.0.log with nomodeset added to kernel command line
Comment 3 Hibbard T. Smith, JR 2008-12-12 13:16:07 EST
Created attachment 326753 [details]
Xorg.0.log without the nomodeset
Comment 4 François Cami 2009-02-05 19:36:49 EST
Hibbard,
Does this still happen with 2.6.27.12-170.2.5.fc10 ?
Please post full dmesg as uncompressed text attachment to this bug too.
Thanks
Comment 5 Hibbard T. Smith, JR 2009-02-05 21:40:46 EST
Created attachment 331079 [details]
Full dmesg from 2.6.27.12-170.2.5.fc10.i686 as requested.

Yes, it still happens with this new kernel.  If I remove the nomodeset from the kernel command line, the only resolution choices I'm offered in X are 640x480 and 800x600.  With the nomodeset, everything works normally.

The attached dmesg is with the nomodeset on the kernel command line.  If you need a dmesg from the no nomodeset state, please advise.
Comment 6 Bug Zapper 2009-11-18 04:40:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:16:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.